`lqr_vmap_load`
Prev | Visibiliy maps | Next

## Name

lqr_vmap_load — load an `LqrVMap` object into an `LqrCarver` object

## Synopsis

    #include <lqr.h>

`LqrRetVal lqr_vmap_load(` | LqrCarver* carver,
| LqrVMap* vmap`)`;

## Description

The function `lqr_vmap_load` loads the visibility map contained in the `LqrVMap` object pointed to by `vmap` in the `LqrCarver` object pointed to by `carver`.

It can only be called over uninitialised carver objects, therefore care must be taken not to exceed the loaded map depth when resizing (see the `LqrVMap` objects format description in the page for `lqr_vmap_new`(3)).

The return value follows the Liquid Rescale library signalling system.

## See also

LqrRetVal(3), `lqr_vmap_new`(3), `lqr_vmap_dump`(3), `lqr_vmap_internal_dump`(3), `lqr_carver_set_dump_vmaps`(3)

Prev | Up | Next
`lqr_vmap_internal_dump` | Home | `lqr_vmap_list_start`